<?php
include("conn.php");
include("functions.php");
$response = array();
$response["loginStatus"] = false;
$response["loginMessage"] = "We could not process your request";
if(isset($_POST["username"])&&isset($_POST["password"])){
	//update
	$update = false;
	$versionNo =0;
	if(isset($_POST["versionNo"])){
		$versionNo = trim($_POST["versionNo"]);
	}
	$versionNo = mysqli_real_escape_string($conn,$versionNo);
	$checkVersion = "select * from systemreleases where id > '$versionNo'";
	$checkRes = mysqli_query($conn,$checkVersion);
	if(mysqli_num_rows($checkRes)>0){
		$versions = array();
			while($checkResult = mysqli_fetch_assoc($checkRes)){
			$version = array();
			$versionId =$checkResult["id"];
			$version["id"] =$versionId;
			$version["date"] = $checkResult["date"];
			$version["description"] = $checkResult["description"];

			$files = array();
			$filesSql = "select * from systemreleasefiles where releaseId = '$versionId'";
			$filesRes = mysqli_query($conn,$filesSql);
			while($fileResult = mysqli_fetch_assoc($filesRes)){
				//only update is has files
				$update = true;
				$file = array();
				$file["id"] = $fileResult["id"];
				$file["releaseId"] = $fileResult["releaseId"];
				$file["fileType"] = $fileResult["fileType"];
				$file["fileLocation"] = $fileResult["fileLocation"];
				$file["fileName"] = $fileResult["fileName"];
				array_push($files,$file);
			}
			$version["files"] = $files;
			array_push($versions,$version);
		}
		$response["versions"] = $versions;
	}
	$response["update"] = $update;
	$myUserName = trim($_POST["username"]);
	$userName = mysqli_real_escape_string($conn, trim($_POST["username"]));
	$password = mysqli_real_escape_string($conn, trim($_POST["password"]));
	$password = hash("sha256",$password);
	$loginSql = "SELECT A.*,B.id,B.name FROM `users` A left join userroles B on roleId = B.id where username = '$userName' and Password = '$password'";
	$loginRes = mysqli_query($conn,$loginSql);
	if(mysqli_num_rows($loginRes)==1){
		while($loginResult = mysqli_fetch_assoc($loginRes)){
			if($loginResult["Status"]){
				$response["loginStatus"] = true;
				$response["loginMessage"] = "Login Successful";
				$response["userName"] = $loginResult["username"];
				$response["fullName"] = $loginResult["fullname"];
				$response["email"] = $loginResult["email"];
				$response["phone"] = $loginResult["phone"];
				$response["userGroup"] = $loginResult["usergroup"];
				$response["password"] = $loginResult["Password"];
				$response["lastSeen"] = $loginResult["LastSeen"];
				$response["passwordLastChanged"] = $loginResult["passwordLastChanged"];
				$response["status"] = $loginResult["Status"];
				$response["addedOn"] = $loginResult["AddedOn"];
				$userRole = array();
				$userRole["id"] = $loginResult["id"];
				$userRole["name"] = $loginResult["name"];
				$response["userRole"]= $userRole;
				//update last seen
				$update = "update users set lastSeen = NOW() where username = ?";
				$values = array($myUserName);
				pdoExecute($update, $values);
			}else{
				$response["loginStatus"] = false;
				$response["loginMessage"] = "Your account has been blocked. Please contact ICT";
			}
		}
	}else{
		$response["loginStatus"] = false;
		$response["loginMessage"] = "Wrong username or password";
	}
}else{
	$response["loginStatus"] = false;
	$response["loginMessage"] = "Please provide your username and password";
}


echo json_encode($response);